十一博客 十一博客

ss-panel-v3-mod_Uim 一键搭建脚本 for Centos 7.x

in 默认类,技术控,分享控 read (10116) 文章转载请注明来源!

【注意】此脚本搭建稳定请使用下面的脚本搭建,如需测试版本请查看更新日志


更新日志:

2018年10月25日18:37:41:

发布官方最新dev测试版本脚本,优点可随官方更新,缺点脚本问题。【此脚本为测试版本,如遇到问题请及时留言】

yum install wget -y && wget -N --no-check-certificate https://raw.githubusercontent.com/marisn2017/ss-panel-v3-mod_Uim/master/test.sh && chmod +x test.sh && ./test.sh

搭建后注意提示!!!自己创建管理用户!!!

加群交流:https://jq.qq.com/?_wv=1027&k=5H6GYsq

2018年9月6日11:24:36:

更新优化节点搭建

2018年8月30日18:49:05:

新增临时邮箱黑名单功能及排行榜系统


这个ss-panel-v3-mod再次修改版出来也有段时间了,我虽然不用面板,但是有需求我还是将一键脚本写出来吧~

搭建系统首选Centos 7.x

关于想用宝塔搭建,请使用这篇教程搭建:

ss-panel-v3-mod再次修改版超详细安装教程

先上几张截图吧~

QQ截图20180412132803.png QQ截图20180412132814.png QQ截图20180412132826.png QQ截图20180412135520.png

下面是官方的介绍~

ss-panel-v3-mod是一款转为shadowsocks设计的web前端面板,再次感谢ss-panel-v3mod 的制作者,修改后的功能简介:

  • 支付系统集成:集成 支付宝当面付 黛米付 易付通 码支付等多种支付系统,使用方法见项目wiki
  • UI :修改成 援交 圆角、并自定义了几个图标的显示,节点列表等級0可见等級1节点但无法看见节点详情,增加了国家图标显示
  • 商店:商品增加同时连接设备数,用户限速属性
  • 从肥羊那里抄来的:新用户注册现金奖励|高等级节点体验|设备数量限制
  • 优化:css和js等置入本地提升加载速度

一键脚本:

yum install wget -y && wget -N --no-check-certificate https://raw.githubusercontent.com/marisn2017/ss-panel-v3-mod_Uim/master/script.sh && chmod +x script.sh && ./script.sh

更多一键脚本问题请参考《一键ss-panel-v3魔改版搭建脚本及问题

欢迎热情打赏~

求打赏~

求打赏~

使用方法与魔改版一样~

请根据提示完成搭建

如果遇到搭建lnmp完成后卡顿,如下图

lnmp卡顿

请手动点Ctrl + C 再继续搭建【只需要按一次,同时按压】

默认账号:marisn@67cc.cn

默认密码:marisn

搭建完后请务必在前端后台更改账号密码

完成前端搭建请在网站内新建节点

!!!注意进入前端后,第一件事就是先新建节点

管理面板–>节点列表–>右下角加号–>输入信息

唯一有点不一样的是 后台新建节点时,需注意节点名称的格式为

香港 普通节点1 - 100M带宽
美国 VIP节点1 - 10G带宽

前缀为/home/wwwroot/default/public/images/prefix里的图片名称 需自己对应

再次运行上面的脚本

选择添加节点,根据脚本提示操作

mukey值请在配置文件中更改,默认可不更改

配置文件路径:

/home/wwwroot/default/config/.config.php

因为文件被隐藏,所以用SFTP下载下来修改,推荐使用notepad++修改

所有要自定义的东西请在配置文件中更改

其他问题

更多问题请留言。

数据库问题:关于SS-panel-v3的数据库问题

HTTPS问题:将SS-panel网站支持 SSL 强化安全性

码支付对接:ss-panel-v3-mod_Uim 对接码支付教程

本文基于《署名-非商业性使用-相同方式共享 4.0 国际 (CC BY-NC-SA 4.0)》许可协议授权
文章链接:https://blog.67cc.cn/archives/sspanelv3moduim-a-key-to-build-script-for-centos-7x.html (转载时请注明本文出处及文章链接)

源码分享教程分享shell脚本
发表新评论
已有 229 条评论
  1. sola
    sola 7Chrome 69
    回复

    节点配置完之后显示后端未启动...用的一键脚本

    1. sola
      sola 7Chrome 69
      回复

      @sola 蠢了...用之前搭建的节点弄好了   以为这里面整合了SSR...

  2. dili
    dili 7Chrome 69
    回复

    搭建一切正常  但是添加节点没有自定义加密的按钮怎么回事儿呢。用的脚本是可以用新版连接节点的那个

  3. dili
    dili 7Chrome 69
    回复

    PHP Warning: require(/home/wwwroot/default/config/.config.php): failed to open stream: No such file or directory in /home/wwwroot/default/bootstrap.php on line 19
    PHP Fatal error: require(): Failed opening required '/home/wwwroot/default/config/.config.php' (include_path='.:/usr/local/php/lib/php') in /home/wwwroot/default/bootstrap.php on line 19
     你好 楼主打扰下 想问下安装最新版脚本提示运行cd /home/wwwroot/default && php xcat createAdmin 输入之后提示上面的错误  百度了的解决方法也都没成功...

    1. 十一
      十一本文作者 10Chrome 55
      回复

      @dili 你的机子没把github上的资源clone下来,=-=,所以还是推荐手动搭建

      1. dili
        dili 7Chrome 69
        回复

        @十一 手动搭建试了下,在安装依赖的时候提示下面  好像是php版本不对吗。教程是要的7.0  这边好像是7.1+吧php composer.phar install
        Loading composer repositories with package information
        Installing dependencies (including require-dev) from lock file
        Your requirements could not be resolved to an installable set of packages.   Problem 1
            - Installation request for doctrine/inflector 1.3.x-dev -> satisfiable by doctrine/inflector[1.3.x-dev].
            - doctrine/inflector 1.3.x-dev requires php ^7.1 -> your PHP version (7.0.19) does not satisfy that requirement.
          Problem 2
            - Installation request for php-http/guzzle6-adapter 1.2.x-dev -> satisfiable by php-http/guzzle6-adapter[1.2.x-dev].
            - php-http/guzzle6-adapter 1.2.x-dev requires php ^7.1 -> your PHP version (7.0.19) does not satisfy that requirement.
          Problem 3
            - Installation request for php-http/guzzle6-adapter dev-master -> satisfiable by php-http/guzzle6-adapter[dev-master].
            - php-http/guzzle6-adapter dev-master requires php ^7.1 -> your PHP version (7.0.19) does not satisfy that requirement.
          Problem 4
            - Installation request for symfony/contracts 1.0.x-dev -> satisfiable by symfony/contracts[1.0.x-dev].
            - symfony/contracts 1.0.x-dev requires php ^7.1.3 -> your PHP version (7.0.19) does not satisfy that requirement.
          Problem 5
            - Installation request for symfony/contracts dev-master -> satisfiable by symfony/contracts[dev-master].
            - symfony/contracts dev-master requires php ^7.1.3 -> your PHP version (7.0.19) does not satisfy that requirement.
          Problem 6

        1. 十一
          十一本文作者UC浏览器 12
          回复

          @dili 要7.1的  教程里错误

          1. dili
            dili 10Chrome 70
            回复

            @十一 好的 谢谢楼主~

          2. dili
            dili 7Chrome 69
            回复

            @十一 感谢楼主说明  已经搭建完毕~  然后最后问一下那个为什么节点现在没有自定义的加密方式和混淆了呢  在config设置中看到了用户注册时默认的加密方式和协议混淆设定。这个节点设置会根据不同用户还不一样吗(;′⌒`)    现在默认是md5  但是另外一个服务器搭的梯子加密是none+auth_a的方式  想问下楼主那个是在哪里设置对应的加密方式呢..

  4. ansome
    ansome 7Chrome 63
    回复

    你这文章里面的宝塔搭建 为啥我的数据库打不开 地址跟端口都没错啊就是打不开数据库 找不到页面,还有宝塔按教程搭建后 NGINX 1.14 是打不开的  说ip已占用都不知道什么情况

    1. 十一
      十一本文作者 10Chrome 55
      回复

      @ansome 重装

      1. ansome
        ansome 7Chrome 63
        回复

        @十一 重装了五次都是一样情况 120g的大盘鸡····是不是那个不能用?

      2. ansome
        ansome 7Chrome 63
        回复

        @十一 nginx 1.14 错误提示
        警告消息: nginx: [emerg] bind() to 0.0.0.0:80 failed (98: Address already in use)
        nginx: [emerg] bind() to 0.0.0.0:80 failed (98: Address already in use)
        nginx: [emerg] bind() to 0.0.0.0:80 failed (98: Address already in use)
        nginx: [emerg] bind() to 0.0.0.0:80 failed (98: Address already in use)
        nginx: [emerg] bind() to 0.0.0.0:80 failed (98: Address already in use)
        nginx: [emerg] still could not bind()


        数据库的phpmyadmin还是打不开登陆界面郁闷死我了好多次了

      3. ansome
        ansome 7Chrome 63
        回复

        @十一 apache 占用了80端口···

  5. 萌新
    萌新 7Chrome 69
    回复

    这边的远程节点添加好像端口用的也是1025  添加了之后本机的节点就没了...后台找了好久没看见有设置端口和协议混淆的地方

❋该站点已苟活
© 2017-2018 十一博客 蜀ICP备15021123号-1
又拍云
PREVIOUS NEXT
雷姆
拉姆